<?php
if (!defined('ABSPATH')) exit;

require_once DMC_INCLUDES_DIR . '/controls.php';
$controls = new NewsletterControls();
$module = NewsletterEmails::instance();
// Add the color picker css file       
wp_enqueue_style('wp-color-picker');
// Include our custom jQuery file with WordPress Color Picker dependency
wp_enqueue_script('wp-color-picker');

// TNP Composer style
wp_enqueue_style('tnpc-style', plugins_url('/tnp-composer/_css/newsletter-builder.css', __FILE__));
wp_enqueue_style('tnpc-newsletter-style', plugins_url('/tnp-composer/css/newsletter.css', __FILE__));

if (($controls->is_action('save') || $controls->is_action('preview')) && !(INT)$_GET['id']) {

    $module->save_options($controls->data);

    $email = array();
    $email['status'] = 'new';
    $email['subject'] = __('Here the email subject', 'digital-media-combined');
    $email['track'] = 1;
    $email['token'] = $module->get_token();

    $email['message'] = $controls->data['body'];
    $email['subject'] = $controls->data['subject'];
    

    $email['message_text'] = 'This email requires a modern e-mail reader but you can view the email online here:
{email_url}.

Thank you, ' . wp_specialchars_decode(get_option('blogname'), ENT_QUOTES) . '';
    $social_text = 'Social Media Text - {email_id} {email_subject} {email_url}';
    $email['options'] = serialize(array('composer' => true, 'social_text' => $social_text));

    $email['type'] = 'message';
    $email['send_on'] = time();
    $email['query'] = "select * from " . DMC_USERS_TABLE . " where status='C'";
    
    $email = DMC::instance()->save_email($email, ARRAY_A);
} elseif (isset($_GET['id'])) {

    $email = DMC::instance()->get_email((int) $_GET['id'], ARRAY_A);

    if (empty($email)) {
        echo 'Wrong email identifier';
        return;
    }

    if ($controls->is_action('save') || $controls->is_action('preview')) {

        $module->save_options($controls->data);
        $email['message'] = $controls->data['body'];
        $email = DMC::instance()->save_email($email, ARRAY_A);
    }
}

if ($controls->is_action('preview')) {
    ?>
    <script>
        location.href = "<?php echo $module->get_admin_page_url('cpreview'); ?>&id=<?php echo $email['id']; ?>";
    </script>
    <div class="wrap">
        <p><a href="<?php echo $module->get_admin_page_url('cpreview'); ?>&id=<?php echo $email['id']; ?>">click here to proceed</a>.</p>
    </div>
    <?php
    return;
}

if ($controls->data == null) {
    $controls->data = $module->get_options();
}

//$body = $controls->data['body'];
$body = "";
if (isset($email)) {
    $body = $email['message'];
} 

?>

<div class="wrap" id="template-wrap">

    <?php $help_url = 'https://www.digitalmediacombined.com/forum'; ?>
    <?php //include DMC_DIR . '/template-header.php';  ?>

    <div id="template-heading" class="tnp-composer-heading">

        <img src="<?php echo plugins_url('/themes/tnp-composer-heading.png', __FILE__)?>">
        <h2><?php _e('Compose Media Release', 'digital-media-combined') ?></h2>
        <form method="post" action="" id="tnpc-form">
            <?php $controls->init(); ?>
            <?php $controls->hidden('subject'); ?>
            <?php $controls->hidden('body'); ?>
            <?php $controls->button_reset(); ?>
            <?php $controls->button_back('?page=newsletter_emails_index'); ?>
            <?php $controls->button('save', __('Save','digital-media-combined'), 'create();'); ?>
            <?php $controls->button('preview', __('Save & Preview & Send','digital-media-combined') . ' &raquo;', 'create();'); ?>
            <?php //$controls->button('close', __('Close Window','digital-media-combined'), 'admin.php?page=newsletter_emails_index'); ?>
        </form>
    </div>

    <div id="template-body" class="template-body-lite"> 

        <?php include DMC_DIR . '/emails/tnp-composer/index.php'; ?>

    </div>

    <?php //include DMC_DIR . '/template-footer.php'; ?>

</div>