<?php
if (! defined ( 'ABSPATH' ))
	exit ();

require_once DMC_INCLUDES_DIR . '/controls.php';
$controls = new NewsletterControls ();
$module = NewsletterEmails::instance ();

$DMC = new DMC_Api ();
$call = $DMC->call ( 'check', array () );
$dmc_option = $DMC->option ();

$email = DMC::instance ()->get_email ( ( int ) $_GET ['id'], ARRAY_A );
$options = get_option ( 'newsletter_main' );
// TNP Composer style
wp_enqueue_style ( 'tnpc-style', plugins_url ( '../tnp-composer/_css/newsletter-builder.css', __FILE__ ) );
?>
<link href="<?php echo plugins_url('../css/jquery.multiselect.css', __FILE__) ?>" media="screen" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<?php echo plugins_url('../js/jquery.multiselect.js', __FILE__) ?>"></script>

<?php
if (empty ( $email )) {
	echo 'Wrong email identifier';
	return;
}
$email_id = $email ['id'];

// If there is no action we assume we are enter the first time so we populate the
// $nc->data with the editable email fields
if (! $controls->is_action ()) {
	$controls->data = $email;
	if (! empty ( $email ['preferences'] )) {
		$controls->data ['preferences'] = explode ( ',', $email ['preferences'] );
	}
	if (! empty ( $email ['sex'] )) {
		$controls->data ['sex'] = explode ( ',', $email ['sex'] );
	}
	$email_options = unserialize ( $email ['options'] );
	if (is_array ( $email_options )) {
		$controls->data = array_merge ( $controls->data, $email_options );
		
		foreach ( $email_options as $name => $value ) {
			$controls->data ['options_' . $name] = $value;
		}
	}
}

if ($controls->is_action ( 'test' ) || $controls->is_action ( 'save' ) || $controls->is_action ( 'send' ) || $controls->is_action ( 'editor' )) {
	
	// If we were editing with visual editor (==0), we must read the extra <body> content
	if ($email ['editor'] == 0) {
		// no editing possible, just preview
	} else {
		$email ['message'] = $controls->data ['message'];
	}
	
	$email ['message_text'] = $controls->data ['message_text'];
	$email ['subject'] = $controls->data ['subject'];
	$email ['track'] = $controls->data ['track'];
	$email ['private'] = $controls->data ['private'];
	
	// Builds the extended options
	$email ['options'] = array ();
	$email ['options'] ['preferences_status'] = $controls->data ['preferences_status'];
	if (isset ( $controls->data ['preferences'] )) {
		$email ['options'] ['preferences'] = $controls->data ['preferences'];
	}
	if (isset ( $controls->data ['sex'] )) {
		$email ['options'] ['sex'] = $controls->data ['sex'];
	}
	
	foreach ( $controls->data as $name => $value ) {
		if (strpos ( $name, 'options_' ) === 0) {
			$email ['options'] [substr ( $name, 8 )] = $value;
		}
	}
	
	$email ['options'] ['status'] = $controls->data ['status'];
	$email ['options'] ['preferences_status_operator'] = $controls->data ['preferences_status_operator'];
	$email ['options'] ['wp_users'] = $controls->data ['wp_users'];
	$email ['options'] ['composer'] = true;
	$email ['options'] ['social'] = $controls->data ['social'];
	$email ['options'] ['social_image'] = $controls->data ['social_image'];
	$email ['options'] ['social_text'] = $controls->data ['social_text'];
	$email ['options'] ['social_send_on'] = $controls->data ['social_send_on'];
	$email_options = $email ['options'];
	$email ['options'] = serialize ( $email ['options'] );
	
	if (isset ( $controls->data ['preferences'] )) {
		$email ['preferences'] = implode ( ',', $controls->data ['preferences'] );
	} else {
		$email ['preferences'] = '';
	}
	
	if (isset ( $controls->data ['sex'] )) {
		$email ['sex'] = implode ( ',', $controls->data ['sex'] );
	} else {
		$email ['sex'] = '';
	}
	
	// Before send, we build the query to extract subscriber, so the delivery engine does not
	// have to worry about the email parameters
	if ($controls->data ['status'] == 'S') {
		$query = "select * from " . DMC_USERS_TABLE . " where status='S'";
	} else {
		$query = "select * from " . DMC_USERS_TABLE . " where status='C'";
	}
	
	if ($controls->data ['wp_users'] == '1') {
		$query .= " and wp_user_id<>0";
	}
	
	if (isset ( $controls->data ['preferences'] )) {
		$preferences = $controls->data ['preferences'];
		
		// Not set one of the preferences specified
		$operator = $controls->data ['preferences_status_operator'] == 0 ? ' or ' : ' and ';
		if ($controls->data ['preferences_status'] == 1) {
			$query .= " and (";
			foreach ( $preferences as $x ) {
				$query .= "list_" . $x . "=0" . $operator;
			}
			$query = substr ( $query, 0, - 4 );
			$query .= ")";
		} else {
			$query .= " and (";
			foreach ( $preferences as $x ) {
				$query .= "list_" . $x . "=1" . $operator;
			}
			$query = substr ( $query, 0, - 4 );
			$query .= ")";
		}
	}
	
	if (isset ( $controls->data ['sex'] )) {
		$sex = $controls->data ['sex'];
		if (is_array ( $sex )) {
			$query .= " and sex in (";
			foreach ( $sex as $x ) {
				$query .= "'" . $x . "', ";
			}
			$query = substr ( $query, 0, - 2 );
			$query .= ")";
		}
	}
	
	$email ['query'] = $query;
	if ($email ['status'] == 'sent') {
		$email ['total'] = $email ['sent'];
	} else {
		$email ['total'] = $wpdb->get_var ( str_replace ( '*', 'count(*)', $query ) );
	}
	
	if ($controls->is_action ( 'send' ) && $controls->data ['send_on'] < time ()) {
		$controls->data ['send_on'] = time ();
	}
	
	$email ['send_on'] = $controls->data ['send_on'];
	
	if ($controls->is_action ( 'editor' )) {
		$email ['editor'] = $email ['editor'] == 0 ? 1 : 0;
	}
	
	// Cleans up of tag
	$email ['message'] = NewsletterModule::clean_url_tags ( $email ['message'] );
	
	$res = DMC::instance ()->save_email ( $email );
	if ($res === false) {
		$controls->errors = 'Unable to save. Try to deactivate and reactivate the plugin may be the database is out of sync.';
	}
	
	$controls->data ['message'] = $email ['message'];
	
	$controls->add_message_saved ();
}

if ($controls->is_action ( 'send' )) {
	$controls->messages = '';
	// Todo subject check
	
	if ($email ['subject'] == '') {
		$controls->errors = __ ( 'A subject is required to send', 'digital-media-combined' );
	} else {
		$error = 0;

		$p = 'wp-json/'.DMC_SLUG.'/v1/news/' . (INT)$_GET ['id'];
		$link = esc_url(get_site_url () . '/' . $p);
		
		if (is_array ( $_POST ['options'] ['social'] ) && count ( $_POST ['options'] ['social'] ) > 0) {
			$social_text = str_ireplace ( array (
					'{email_id}',
					'{email_subject}',
					'{email_url}' 
			), array (
					(INT)$_GET ['id'],
					sanitize_text_field($_POST ['options'] ['subject']),
					$link 
			), sanitize_text_field($_POST ['options'] ['social_text']) );
			
			$social_text =  sanitize_textarea_field($social_text) ;
			if (! empty ( $social_text )) {
				//Sanatize user input
				$social_ids = $_POST ['options'] ['social'];
				$sanatized_ids = array();
				if ( is_array( $social_ids ) ) {
					foreach ( $social_ids as $id => $v ) {
						$sanatized_ids[ $id ] = sanitize_text_field( $v );
					}
				}
				
				$params = array (
						'social' => $sanatized_ids,
						'message' => $social_text 
				);
				
				//Add link if it is not in the template
				if(strpos($social_text, '{email_url}') === false) {
					$params ['link'] = $link;
				}
	
				if (! empty ( $_POST ['options'] ['social_image'] )) {
					$params ['image'] = esc_url($_POST ['options'] ['social_image']);
				}
				
				if ($controls->data ['social_send_on'] > time ()) {
					$params ['send_time'] = (INT)$controls->data ['social_send_on'];
				}
				
				$call = $DMC->call ( 'social_post', array (
						'params' => $params 
				) );
				
				$controls->messages .= __ ( $call ['message'] . "<Br/>\n" );
			}
		}
		
		if (! $error) {
			$wpdb->update ( DMC_EMAILS_TABLE, array (
					'status' => 'sending' 
			), array (
					'id' => $email_id 
			) );
			$email ['status'] = 'sending';
			$controls->messages .= __ ( 'Now sending, see the progress on newsletter list', 'digital-media-combined' );
		}
	}

}

if ($controls->is_action ( 'pause' )) {
	$wpdb->update ( DMC_EMAILS_TABLE, array (
			'status' => 'paused' 
	), array (
			'id' => $email_id 
	) );
	$email ['status'] = 'paused';
}

if ($controls->is_action ( 'continue' )) {
	$wpdb->update ( DMC_EMAILS_TABLE, array (
			'status' => 'sending' 
	), array (
			'id' => $email_id 
	) );
	$email ['status'] = 'sending';
}

if ($controls->is_action ( 'abort' )) {
	$wpdb->query ( "update " . DMC_EMAILS_TABLE . " set last_id=0, sent=0, status='new' where id=" . $email_id );
	$email ['status'] = 'new';
	$email ['sent'] = 0;
	$email ['last_id'] = 0;
	$controls->messages = __ ( 'Delivery definitively cancelled', 'digital-media-combined' );
}

if ($controls->is_action ( 'test' )) {
	
	if ($email ['subject'] == '') {
		$controls->errors = __ ( 'A subject is required to send', 'digital-media-combined' );
	} else {
		
		$users = NewsletterUsers::instance ()->get_test_users ();
		
		$admin_user = ( object ) [ 
				'email' => get_bloginfo('admin_email'),
				'firstname' => get_bloginfo('name'),
				'lastname' => 'Admin' 
		];
		$users [] = $admin_user;

		if (count ( $users ) == 0) {
			$controls->messages = '<strong>' . __ ( 'There are no test subscribers to send to', 'digital-media-combined' ) . '</strong>';
		} else {
			DMC::instance ()->send ( DMC::instance ()->get_email ( $email_id ), $users );
			$controls->messages = __ ( 'Test newsletter sent to:', 'digital-media-combined' );
			foreach ( $users as &$user ) {
				$controls->messages .= ' ' . $user->email;
			}
			$controls->messages .= '.';
		}
		
		$controls->messages .= '<br>';
		
		$controls->messages .= '<br>If diagnostic emails are delivered but test emails are not, try to change the encoding to "base 64" on main configuration panel';
	}
}

?>

<div class="wrap" id="template-wrap">

    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">

		<h2><?php _e('Preview Newsletter', 'digital-media-combined') ?></h2>

	</div>

	<div id="template-body">

        <?php
								if ($controls->data ['status'] == 'S') {
									echo '<div class="newsletter-message">Warning! This email is configured to be sent to NOT CONFIRMED subscribers.</div>';
								}
								?>

        <form method="post" action="" id="newsletter-form">

            <?php $controls->init(array('cookie_name' => 'newsletter_emails_edit_tab')); ?>

            <p class="submit">
                <?php $controls->button_back('?page=newsletter_emails_composer&id=' . $email['id'])?>
                <?php if ($email['status'] != 'sending' && $email['status'] != 'sent') $controls->button_save(); ?>
                <?php if ($email['status'] != 'sending' && $email['status'] != 'sent') $controls->button_confirm('test', 'Save and test', 'Save and send test emails to test addresses?'); ?>

                <?php if ($email['status'] == 'new') $controls->button_confirm('send', __('Send / Schedule Now', 'digital-media-combined'), __('Start real delivery?', 'digital-media-combined')); ?>
                <?php if ($email['status'] == 'sending') $controls->button_confirm('pause', __('Pause', 'digital-media-combined'), __('Pause the delivery?', 'digital-media-combined')); ?>
                <?php if ($email['status'] == 'paused') $controls->button_confirm('continue', __('Continue', 'digital-media-combined'), 'Continue the delivery?'); ?>
                <?php if ($email['status'] == 'paused') $controls->button_confirm('abort', __('Stop', 'digital-media-combined'), __('This totally stop the delivery, ok?', 'digital-media-combined')); ?>
                <?php //if ($email['status'] != 'sending' && $email['status'] != 'sent') $controls->button_confirm('editor', 'Save and switch to ' . ($email['editor'] == 0 ? 'HTML source editor' : 'Preview'), 'Sure?'); ?>
            </p>

			<div id="tabs">
				<ul>
					<li><a href="#tabs-a"><?php _e('Message', 'digital-media-combined') ?></a></li>
					<li><a href="#tabs-b"><?php _e('Message (textual)', 'digital-media-combined') ?></a></li>
					<li><a href="#tabs-c"><?php _e('Social Media', 'digital-media-combined') ?></a></li>
					<li><a href="#tabs-d"><?php _e('Schedule Send', 'digital-media-combined') ?></a></li>
					<li><a href="#tabs-status"><?php _e('Status', 'digital-media-combined') ?></a></li>
				</ul>


				<div id="tabs-a" class="tnpc-subject">

                    <?php
																				$controls->text ( 'subject', 100, 'Subject' );
																				?>															
						
						
<div></div>

					<br> <br>

                    <?php if ($email['editor'] == 0) { ?>

                        <div class="tnpc-preview">
						<!-- Flat Laptop Browser -->
						<div class="fake-browser-ui">
							<div class="frame">
								<span class="bt-1"></span> <span class="bt-2"></span> <span
									class="bt-3"></span>
							</div>
							<iframe id="tnpc-preview-desktop" src="" width="700" height="507"
								alt="Test" frameborder="0"></iframe>
						</div>

						<!-- Flat Mobile Browser -->
						<div class="fake-mobile-browser-ui">
							<iframe id="tnpc-preview-mobile" src="" width="250" height="445"
								alt="Test" frameborder="0"></iframe>
							<div class="frame">
								<span class="bt-4"></span>
							</div>
						</div>
					</div>

					<script type="text/javascript">
                            preview_url = ajaxurl + "?action=tnpc_preview&id=<?php echo $email_id ?>";
                            jQuery('#tnpc-preview-desktop, #tnpc-preview-mobile').attr("src", preview_url);
                            setTimeout(function () {
                                jQuery('#tnpc-preview-desktop, #tnpc-preview-mobile').contents().find("a").click(function (e) {
                                    e.preventDefault();
                                })
                            }, 500);
                        </script>

                        <?php
																				} else {

																					?>
                        
                        <input id="options-message"
						name="options[message]" type="hidden">

					<div id="tnpc-html-editor"><?php echo esc_html($email['message']) ?></div>
					<script src="<?php echo plugins_url('../js/ace/ace.js', __FILE__) ?>" type="text/javascript" charset="utf-8"></script>
					<script>
                            var editor = ace.edit("tnpc-html-editor");
                            editor.setTheme("ace/theme/idle_fingers");
                            editor.getSession().setMode("ace/mode/html");
                            var message_input = jQuery('#options-message');
//                            editor.getSession().setValue(message_input.val());
                            message_input.val(editor.getSession().getValue());
                            editor.getSession().on('change', function () {
                                message_input.val(editor.getSession().getValue());
                            });
                        </script>

<?php
																				}
																				?>

                </div>


				<div id="tabs-b">
					<p>This is the textual version of your newsletter. If you empty it,
						only an HTML version will be sent but is an anti-spam best
						practice to include a text only version.</p>

<?php $controls->textarea_fixed('message_text', '100%', '500'); ?>
                </div>

				<div id="tabs-c">
					<div>
						<select name="options[social][]" multiple="multiple">
            			<?php
															
															foreach ( $dmc_option ['domain_oauth'] as $oauth ) {
																$platform = '';
																if ($oauth ['oauth_platform'] == 'twitter') {
																	$platform = 'Twitter';
																} elseif ($oauth ['oauth_platform'] == 'facebook_page') {
																	$platform = 'Facebook Page';
																} elseif ($oauth ['oauth_platform'] == 'instagram') {
																	$platform = 'Instagram';
																} elseif ($oauth ['oauth_platform'] == 'google_plus') {
																	$platform = 'Google+ Profile';
																} elseif ($oauth ['oauth_platform'] == 'google_plus_page') {
																	$platform = 'Google+ Page';
																}
																$selected = '';
																if (in_array ( $oauth ['oauth_hash'], $email_options ['social'] )) {
																	$selected = " selected";
																}
																
																echo "<option value='{$oauth['oauth_hash']}' $selected>{$oauth['oauth_name']} ($platform)</option>";
															}
															?> 
       				</select>
					</div>
					<br />
					<div>
       				
	                            <?php $controls->textarea_fixed('social_text', '80%', '50'); ?>
	                            <p class="description">Social Content.  This is actually the content that will be posted to your social media profiles.<br/>
	                            It is recommended to add a short description about the newsletter and to provide an image and the link to the newsletter article.<br/>
								Delete "Social Media Text" and add your Short Description</p>
	                            You can use the following shortcodes: <br/>
	                            {email_id} - The newsletter number #<Br/>
	                            {email_subject} - The newsletter subject <Br/>
	                            {email_url} - The link to this newsletter post<Br/>

					</div>
					<br />
					<div>
						<label for="social_image">Image (Mandatory for Instagram, optional for the rest. For Instagram, jpg only.)</label><Br /> <input type="text"
							name="options[social_image]" id="social_image" placeholder="Image URL to use for this newsletter in your post"
							class="regular-text"
							value="<?php echo $email_options['social_image']?>"> <input
							type="button" name="upload-btn" id="upload-btn"
							class="button-secondary" value="Click Here to Upload Image">
					</div>


					<div>
						<p>Send On</p>
       				 <?php
												
												$controls->datetime ( 'social_send_on' );
												?> (now: <?php echo get_option('timezone_string');  echo date_i18n(get_option('date_format') . ' ' . get_option('time_format')); ?>)
                                <p class="description">
							Set a past date to be sent immediately when newsletter is sent. <Br />
							If the current date and time are wrong, check your timezone on
							the <a href='<?php echo admin_url('/options-general.php')?>'>General WordPress
								settings</a>.
					
					</div>
				</div>



				<div id="tabs-d">
					<table class="form-table">
<?

/**
 * <tr valign="top">
 * <th><?php _e('Keep private', 'digital-media-combined') ?></th>
 * <td>
 * <?php $controls->yesno('private'); ?>
 * <p class="description">
 * <?php _e('Hide/show from public sent newsletter list.', 'digital-media-combined')?>
 * <?php _e('Required', 'digital-media-combined') ?>: <a
 * href="" target="_blank">Newsletter Archive Extension</a>
 * </p>
 * </td>
 * </tr>
 */
?>
						<tr valign="top">
							<th><?php _e('Track clicks and message opening', 'digital-media-combined') ?></th>
							<td>
<?php $controls->yesno('track'); ?>
                            </td>
						</tr>
						<tr valign="top">
							<th><?php _e('Send on', 'digital-media-combined') ?></th>
							<td>
<?php $controls->datetime('send_on'); ?> (now: <?php echo date_i18n(get_option('date_format') . ' ' . get_option('time_format')); ?>)
                                <p class="description">
									If the current date and time are wrong, check your timezone on
									the <a href='<?php echo admin_url('/options-general.php')?>'>General WordPress
										settings</a>.
								</p>
							</td>
						</tr>
					</table>
                    
                    <?php do_action('newsletter_emails_edit_other', $module->get_email($email_id), $controls)?>
                    
                </div>
				<div id="tabs-status">
					<table class="form-table">
						<tr valign="top">
							<th>Email status</th>
							<td><?php echo $email['status'] ?></td>
						</tr>
						<tr valign="top">
							<th>Messages sent</th>
							<td><?php echo $email['sent'] ?> of <?php echo $email['total'] ?></td>
						</tr>
						
						<?php
						
						/**
						 * <tr valign="top">
						 * <th>Query (tech)</th>
						 * <td><?php echo esc_html($email['query']) ?></td>
						 * </tr>
						 * <tr valign="top">
						 * <th>Token (tech)</th>
						 * <td><?php echo esc_html($email['token']) ?></td>
						 * </tr>*
						 */
						?>														
					</table>
				</div>

				<!--
                <div id="tabs-5">
                    <p>Tags documented below can be used on newsletter body. Some of them can be used on subject as well.</p>
    

                    --
    
                    <dl>
                        <dt>{set_preference_N}</dt>
                        <dd>
                            This tag creates a URL which, once clicked, set the preference numner N on the user profile and redirecting the
                            subscriber to his profile panel. Preferences can be configured on Subscription/Form fields panel.
                        </dd>
                    </dl>
    
                    </ul>
                </div>
                -->

			</div>

		</form>
	</div>
	<script>
jQuery('select[multiple]').multiselect({
    columns: 1,
    placeholder: 'Select Social Media'
});

jQuery(document).ready(function($){
    $('#upload-btn').click(function(e) {
        e.preventDefault();
        var image = wp.media({ 
            title: 'Upload Image',
            // mutiple: true if you want to upload multiple files at once
            multiple: false
        }).open()
        .on('select', function(e){
            // This will return the selected image from the Media Uploader, the result is an object
            var uploaded_image = image.state().get('selection').first();
            // We convert uploaded_image to a JSON object to make accessing it easier
            // Output to the console uploaded_image
            console.log(uploaded_image);
            var image_url = uploaded_image.toJSON().url;
            // Let's assign the url value to the input field
            $('#social_image').val(image_url);
        });
    });
});
</script>

	</script>
<?php include DMC_DIR . '/template-footer.php'; ?>

</div>

