<?php
if (! defined ( 'ABSPATH' ))
	exit ();

@include_once DMC_INCLUDES_DIR . '/controls.php';


$module = DMC::instance ();
$controls = new NewsletterControls ();
$controls->data = get_option ( 'newsletter_main' );

$DMC = new DMC_Api ();
$call = $DMC->call ( 'check', array () );

if($_POST) {
	
	if($_POST['comment_id']) {
		
		if(!empty($_POST['facebook_reply'])) {
			$comment_id = sanitize_text_field($_POST['comment_id']);
			$facebook_reply = sanitize_textarea_field($_POST['facebook_reply']);
			$private = intval($_POST['private_reply']);
			$call = $DMC->call ( 'facebook_reply', array ('comment_id' => $comment_id, 'message' => $facebook_reply, 'private' => $private) );
			
			$content = esc_html($call['message']);
		} else {
			$content = 'Reply cannot be empty.';
		}
	} else {
		$content = 'No comment id supplied.';
	}
} else {
	$call = $DMC->call ( 'fbfeed', array());
	$content = $call['message']; //This is html
}

$content = $content;
?>
<div class="wrap" id="template-wrap">

    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">

		<h2><?php __('Facebook Feed', 'digital-media-combined') ?></h2>


	</div>
	<div id="template-body">

	    <table class="form-table">
			<Tr>
				<Td>
				<?php 	
					echo __ ($content, DMC_SLUG);
				?>
				</Td>
			</Tr>
		</table>
	</div>
    
    <?php include DMC_DIR . '/template-footer.php'; ?>
    
</div>