<?php
if (!defined('ABSPATH')) exit;

@include_once DMC_INCLUDES_DIR . '/controls.php';

$controls = new NewsletterControls();

$DMC = new DMC_Api ();
$call = $DMC->call ( 'check', array () );


$emails_module = NewsletterEmails::instance();
$emails = $wpdb->get_results("select * from " . DMC_EMAILS_TABLE . " where type='message' order by id desc limit 5");

$users_module = NewsletterUsers::instance();
$query = "select * from " . DMC_USERS_TABLE . " order by id desc";
$query .= " limit 10";
$subscribers = $wpdb->get_results($query);

$last_email = $wpdb->get_row(
        $wpdb->prepare("select * from " . DMC_EMAILS_TABLE . " where type='message' and status in ('sent', 'sending') and send_on<%d order by id desc limit 1", time()));

if ($last_email) {
    $last_email_sent = $last_email->sent;
    $last_email_opened = $wpdb->get_var("select count(distinct user_id) from " . DMC_STATS_TABLE . " where email_id=" . $last_email->id);
    $last_email_notopened = $last_email_sent - $last_email_opened;
    $last_email_clicked = $wpdb->get_var("select count(distinct user_id) from " . DMC_STATS_TABLE . " where url<>'' and email_id=" . $last_email->id);
    $last_email_opened -= $last_email_clicked;

    $overall_sent = $wpdb->get_var("select sum(sent) from " . DMC_EMAILS_TABLE . " where type='message' and status in ('sent', 'sending')");

    $overall_opened = $wpdb->get_var("select count(distinct user_id,email_id) from " . DMC_STATS_TABLE);
    $overall_notopened = $overall_sent - $overall_opened;
    $overall_clicked = $wpdb->get_var("select count(distinct user_id,email_id) from " . DMC_STATS_TABLE . " where url<>''");
    $overall_opened -= $overall_clicked;
} else {
    $last_email_opened = 500;
    $last_email_notopened = 400;
    $last_email_clicked = 200;

    $overall_opened = 500;
    $overall_notopened = 400;
    $overall_clicked = 200;
}

$months = $wpdb->get_results("select count(*) as c, concat(year(created), '-', date_format(created, '%m')) as d "
        . "from " . DMC_USERS_TABLE . " where status='C' "
        . "group by concat(year(created), '-', date_format(created, '%m')) order by d desc limit 12");
$values = array();
$labels = array();
foreach ($months as $month) {
    $values[] = (int) $month->c;
    $labels[] = date("M y", date_create_from_format("Y-m", $month->d)->getTimestamp());
}
$values = array_reverse($values);
$labels = array_reverse($labels);

$dmc_option = $DMC->option();
?>

<link href="<?php echo plugins_url('../css/jquery.multiselect.css', __FILE__) ?>" media="screen" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="<?php echo plugins_url('../js/jquery.multiselect.js', __FILE__) ?>"></script>
<script type="text/javascript" src="<?php echo plugins_url('../js/Chart2.min.js', __FILE__) ?>"></script>



<div class="wrap" id="template-wrap">

    <?php $help_url = 'https://www.digitalmediacombined.com/newsletter'; ?>
    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">
        <h2>DIGITAL MEDIA COMBINED <?php _e('- ONLINE MARKETING', 'digital-media-combined') ?></h2>
        <p><?php _e('Social media posting and newsletter distribution', 'digital-media-combined') ?></p>
    </div>

    <div id="template-body">

	<div class="dmc-left-column">
	
			<div id="dashboard-widgets" >
               <div id="postbox-container-1" class="postbox-container postbox social-media-post">
	
                <h3><?php _e('Post to Social Media', 'digital-media-combined') ?></h3>
				<p>Enter content below to make a quick post to social media profiles only</p>
                    <form method="POST" action="<?php echo admin_url('/admin.php?page=newsletter_main_social')?>">
                    <?php $controls->init(); ?>

					<label for="social_link"><strong>Select Profiles to add Posts</strong></label>					
                    <select name="social[]" multiple="multiple">
            			<?php foreach($dmc_option['domain_oauth'] as $oauth) {
            				$platform = '';
            				if($oauth['oauth_platform'] == 'twitter') {
            					$platform = 'Twitter';
            				} elseif ($oauth['oauth_platform'] == 'facebook_page') {
            					$platform = 'Facebook Page';
            				} elseif ($oauth['oauth_platform'] == 'facebook_profile') {
            					$platform = 'Facebook Profile';
            				} elseif ($oauth['oauth_platform'] == 'instagram') {
            					$platform = 'Instagram';
            				} elseif ($oauth['oauth_platform'] == 'google_plus') {
            					$platform = 'Google+ Profile';
            				} elseif ($oauth['oauth_platform'] == 'google_plus_page') {
            					$platform = 'Google+ Page';
            				}
            				echo "<option value='{$oauth['oauth_hash']}'>{$oauth['oauth_name']} ($platform)</option>";
            				
            			}?> 
       				</select>
       				<br/>
       				<label for="social_link"><strong>Post Content</strong></label>
	                            <?php $controls->textarea('social_content'); ?>                            
					
       				<br/>
       				 <label for="social_image"><strong>Image</strong><br />Mandatory for Instagram posts and optional for the other profiles.<br />For Instagram, jpg image format only.</label><br /><br />
       				 <input type="button" name="upload-btn" id="upload-btn" class="button-secondary" value="Click here to select an image">
       				 <input type="text" name="social_image" id="image_url" >
       				 <br/>
       				 <label for="social_link"><strong>Link</strong> (Optional)</label>
       				 <?php $controls->text('social_link', '', 'E.g. http://google.com.au'); ?>
       				 <br/>
					 <label for="social_send_on"><strong>Publish on</strong></label>
					 <?php 
					 $controls->data['social_send_on'] =  time();
					 
					 $controls->datetime('social_send_on', 1); ?> <br/>
					 (Current Date & Time: <?php echo date_i18n(get_option('date_format') . ' ' . get_option('time_format')); ?>)
					 
					 
                     <br/><br/>Please note: If the current date and time are incorrect, please check your timezone in the<br /> <a href='<?php echo admin_url('/options-general.php')?>' target='_blank'>General WordPress Settings</a> and test update.<br/>
					 <br /><strong>Setting the date in the past will post immediately.</strong>
       				 <p><?php $controls->button('sendtosocial', 'Post It!'); ?></p>
       				</form>  
       				
       				
       				<script type="text/javascript">
						jQuery(document).ready(function($){
    						$('#upload-btn').click(function(e) {
        						e.preventDefault();
        						var image = wp.media({ 
            						title: 'Upload Image',
            						// mutiple: true if you want to upload multiple files at once
            						multiple: false
        						}).open()
        						.on('select', function(e){
           						// This will return the selected image from the Media Uploader, the result is an object
            						var uploaded_image = image.state().get('selection').first();
            						// We convert uploaded_image to a JSON object to make accessing it easier
            						// Output to the console uploaded_image
            						console.log(uploaded_image);
            						var image_url = uploaded_image.toJSON().url;
            						// Let's assign the url value to the input field
            						$('#image_url').val(image_url);
        						});
    						});
						});
					</script>
		<script>
		jQuery('select[multiple]').multiselect({
			columns: 1,
			placeholder: 'Select Social Media'
		});
		</script>
			</div>
			</div>

		</div><!-- end col -->

			
		<div class="dmc-center-column">
			<h3><a href="/wp-admin/admin.php?page=newsletter_main_startup">How to use DMC - Step by Step</a></h3>
			<p><iframe width="100%" height="315" src="https://www.youtube.com/embed/m5kwMo0ki4Y?rel=0" frameborder="0" allowfullscreen></iframe></p>
		</div>



<?php include DMC_DIR . '/template-right.php'; ?>

<?php include DMC_DIR . '/template-footer.php'; ?>
 
</div>
