<?php
if (! defined ( 'ABSPATH' ))
	exit ();
@include_once DMC_INCLUDES_DIR . '/controls.php';

$upload_dir = wp_upload_dir ();

$module = DMC::instance ();
$controls = new NewsletterControls ();
$display_results = 0;

$DMC = new DMC_Api ();
$call = $DMC->call ( 'check', array () );
$dmc_option = $DMC->option ();
?>
<div class="wrap" id="template-wrap">
	    <?php include DMC_DIR . '/template-header.php'; ?>
	    <div id="template-heading">
		<h2><?php _e('Social Media Manager', 'digital-media-combined') ?></h2>
	</div>
	<div id="template-body">
<?php

if (! $controls->is_action () && isset ( $_GET ['auth'] )) {
	if ($_GET ['auth_id']) {
		$auth_id = sanitize_text_field ( $_GET ['auth_id'] );
		$call = $DMC->call ( 'oauth_profiles', array (
				'auth_id' => $auth_id 
		) );
		
		if ($_GET ['auth'] == 'facebook' or $_GET ['auth'] == 'twitter' or $_GET ['auth'] == 'google' or $_GET ['auth'] == 'google_plus') {
			// print_r($call);
			echo "<div>";
			if ($call ['status'] != 'success') {
				echo esc_html ( $call ['message'] );
			} else {
				?>
					<h3>Please select the profile(s) you will like DMC to manage *</h3>
		    <form method="post" action="">
					<?php $controls->init(); ?>
					<input type='hidden' name='auth_id'
				value='<?php echo $_GET ['auth_id'];?>' />
			<table class="widefat">
				<thead>
					<tr>
						<th></th>
						<th><?php _e('Name', 'digital-media-combined') ?></th>
						<th><?php _e('Social Media', 'digital-media-combined') ?></th>

					</tr>
				</thead>

				<tbody>
                    <?php
				
				foreach ( $call ['data'] as $id => $d ) {
					$id = sanitize_text_field ( $id );
					$name = esc_html ( $d ['name'] );
					$media = esc_html ( $d ['media'] );
					$type = esc_html ( $d ['type'] );
					$max = esc_html ( $call ['max'] );
					?>	
                    	<tr>
						<td><input type="checkbox" name="ids[]" value="<?php echo $id; ?>" /></td>
						<td><?php echo ucfirst($name) ?></td>
						<td><?php echo ucfirst($media) . ' (' . ucfirst($type).')' ?></td>
					</tr>                  
<?php } ?>
                </tbody>
				<tfoot>
					<tr>
						<td colspan="11">
                            (*) <?php _e("You can add up to {$max} profile(s)", 'digital-media-combined')?>
                        </td>
					</tr>
					<tr>
						<td colspan="11">
                             <?php $controls->button('saveprofiles', 'Save Profiles'); ?>
                        </td>
					</tr>

				</tfoot>
			</table>
		</form>
        <?php
			}
			echo "</div>";
		}
	}
} else {
	if ($controls->is_action ( 'save' )) {
		$module->merge_options ( $controls->data );
		$controls->messages .= 'Saved.';
	} elseif ($controls->is_action ( 'saveandauthfb' )) {
		$call = $DMC->call ( 'oauth', array (
				'media' => 'facebook',
				'admin_url' => DMC_ADMIN_URL 
		) );
		
		if ($call ['status'] == 'success' && $call ['auth_id']) {
			$url = $DMC->getEndpoint () . 'auth/facebook?auth_id=' . $call ['auth_id'];
			header ( "Location: $url" );
			exit ();
		} else {
			$controls->messages .= $call ['message'];
		}
	} elseif ($controls->is_action ( 'saveandauthtt' )) {
		$call = $DMC->call ( 'oauth', array (
				'media' => 'twitter',
				'admin_url' => DMC_ADMIN_URL 
		)
		 );
		
		if ($call ['status'] == 'success' && $call ['auth_id']) {
			$url = $DMC->getEndpoint () . 'auth/twitter?auth_id=' . $call ['auth_id'];
			header ( "Location: $url" );
			exit ();
		} else {
			$controls->messages .= esc_html ( $call ['message'] );
		}
	} elseif ($controls->is_action ( 'savegoogleplus' )) {
		$auth_id = sanitize_text_field ( $_POST ['auth_id'] );
		if ($auth_id) {
			// Sanatize user input
			$params = array (
					'username' => sanitize_text_field ( $_POST ['google_plus_username'] ),
					'password' => sanitize_text_field ( $_POST ['google_plus_password'] ) 
			);
			
			$call = $DMC->call ( 'add_google_plus', array (
					'params' => dmc_encrypt ( json_encode ( $params ), $auth_id ) 
			) );
			
			if ($call ['status'] == 'success') {
				$DMC->save_option ( array (
						'domain_oauth' => $call ['domain_oauth'] 
				) );
				$content .= 'Google+ profiles successfully added.';
			} else {
				$content .= $call ['message'];
			}
		} else {
			$content .= $call ['message'];
		}
		
		$display_results = 1;
	} elseif ($controls->is_action ( 'savegooglepluspage' )) {
		$auth_id = sanitize_text_field ( $_POST ['auth_id'] );
		if ($auth_id) {
			// Sanatize user input
			$params = array (
					'username' => sanitize_text_field ( $_POST ['google_plus_username'] ),
					'password' => sanitize_text_field ( $_POST ['google_plus_password'] ),
					'page_id' => sanitize_text_field ( $_POST ['google_plus_page_id'] ) 
			);
			
			$call = $DMC->call ( 'add_google_plus_page', array (
					'params' => dmc_encrypt ( json_encode ( $params ), $auth_id ) 
			) );
			
			if ($call ['status'] == 'success') {
				$DMC->save_option ( array (
						'domain_oauth' => $call ['domain_oauth'] 
				) );
				$content .= 'Google+ page successfully added.';
			} else {
				$content .= $call ['message'];
			}
		} else {
			$content .= $call ['message'];
		}
		
		$display_results = 1;
	} elseif ($controls->is_action ( 'saveprofiles' )) {
		// Sanatize user input
		$ids = $_POST ['ids'];
		array_walk ( $ids, sanitize_text_field );
		
		$call = $DMC->call ( 'oauth_profiles_save', array (
				'auth_id' => sanitize_text_field ( $_POST ['auth_id'] ),
				'ids' => $ids 
		) );
		
		if ($call ['status'] == 'success') {
			$DMC->save_option ( array (
					'domain_oauth' => $call ['domain_oauth'] 
			) );
			$controls->messages .= 'Profiles successfully added.';
			$dmc_option = $DMC->option (); // Refresh the options
		} else {
			$controls->messages .= $call ['message'];
		}
	} elseif ($controls->is_action ( 'addInstagram' )) {
		$call = $DMC->call ( 'oauth', array (
				'media' => 'instagram',
				'admin_url' => DMC_ADMIN_URL 
		) );
		
		if ($call ['status'] == 'success' && $call ['auth_id']) {
			$content .= $call ['message'];
		}
		$display_results = 1;
	} elseif ($controls->is_action ( 'addGoogleBusiness' )) {
		$call = $DMC->call ( 'oauth', array (
				'media' => 'google_plus',
				'admin_url' => DMC_ADMIN_URL 
		) );
		
		if ($call ['status'] == 'success' && $call ['auth_id']) {
			$url = $DMC->getEndpoint () . 'auth/google?auth_id=' . $call ['auth_id'];
			header ( "Location: $url" );
			exit ();
		} else {
			$controls->messages .= esc_html ( $call ['message'] );
		}
		$display_results = 1;
	} elseif ($controls->is_action ( 'addGooglePage' )) {
		$call = $DMC->call ( 'oauth', array (
				'media' => 'google_plus_page',
				'admin_url' => DMC_ADMIN_URL 
		) );
		
		if ($call ['status'] == 'success' && $call ['auth_id']) {
			$content .= $call ['message'];
		}
		$display_results = 1;
	} elseif ($controls->is_action ( 'saveIntagram' )) {
		
		$auth_id = sanitize_text_field ( $_POST ['auth_id'] );
		if ($auth_id) {
			// Sanatize user input
			$params = array (
					'username' => sanitize_text_field ( $_POST ['instagram_username'] ),
					'password' => sanitize_text_field ( $_POST ['instagram_password'] ) 
			);
			
			$call = $DMC->call ( 'add_instagram', array (
					'params' => dmc_encrypt ( json_encode ( $params ), $auth_id ) 
			) );
			
			if ($call ['status'] == 'success') {
				$DMC->save_option ( array (
						'domain_oauth' => $call ['domain_oauth'] 
				) );
				$content .= 'Instagram profiles successfully added.';
			} else {
				$content .= $call ['message'];
			}
		} else {
			$content .= $call ['message'];
		}
		
		$display_results = 1;
	} elseif ($controls->is_action ( 'sendtosocial' )) {
		$display_results = 1;
		
		if (! count ( $_POST ['social'] )) {
			$content .= "You need to select at least one social media profile.";
		} else {
			// Sanatize user input
			$social_ids = $_POST ['social'];
			array_walk ( $social_ids, sanitize_text_field );
			
			$params = array (
					'social' => $social_ids,
					'message' => sanitize_text_field ( $_POST ['options'] ['social_content'] ) 
			);
			
			if (! empty ( $_POST ['options'] ['social_link'] )) {
				$params ['link'] = esc_url ( $_POST ['options'] ['social_link'] );
			}
			if (! empty ( $_POST ['social_image'] )) {
				$params ['image'] = esc_url ( $_POST ['social_image'] );
			}
			
			if ($controls->data ['social_send_on']) {
				$params ['send_time'] = ( int ) $controls->data ['social_send_on'];
			}
			
			$call = $DMC->call ( 'social_post', array (
					'params' => $params 
			) );
			
			$content .= $call ['message'];
		}
	} elseif ($controls->is_action ( 'deleteProfiles' )) {
		$display_results = 1;
		if (is_array ( $_POST ['delete_profile'] ) && count ( $_POST ['delete_profile'] ) > 0) {
			// Sanatize user input
			$profile_ids = $_POST ['delete_profile'];
			array_walk ( $profile_ids, sanitize_text_field );
			
			$params = array (
					'social_profiles' => $profile_ids 
			);
			
			$call = $DMC->call ( 'delete_profiles', array (
					'params' => $params 
			) );
			if ($call ['status'] == 'success') {
				$DMC->save_option ( array (
						'domain_oauth' => $call ['domain_oauth'] 
				) );
			}
			$content .= $call ['message'];
		} else {
			
			$content .= "No profile selected.";
		}
	} elseif ($controls->is_action ( 'deleteSchedules' )) {
		$display_results = 1;
		if (is_array ( $_POST ['schedules'] ) && count ( $_POST ['schedules'] ) > 0) {
			// Sanatize user input
			$schedule_ids = $_POST ['schedules'];
			array_walk ( $schedule_ids, sanitize_text_field );
			$params = array (
					'scheules' => $schedule_ids 
			);
			
			$call = $DMC->call ( 'delete_schedules', array (
					'params' => $params 
			) );
			$content .= $call ['message'];
		} else {
			
			$content .= "No schedule selected.";
		}
	} elseif ($controls->is_action ( 'searchTwitter' )) {
		$display_results = 1;
		
		if ($_POST ['search_hash']) {
			$search = '%23' . trim ( $_POST ['search_text'] );
		} else {
			$search = trim ( $_POST ['search_text'] );
		}
		
		$params = array (
				'search_text' => $search,
				'oauth_hash' => $_POST ['oauth_hash'] 
		);
		
		$call = $DMC->call ( 'search_twitter', array (
				'params' => $params 
		) );
		
		$json = trim ( $call ['result'] );
		$results = (json_decode ( $json, 1 ));
		echo "NUM : " . count ( $results ['statuses'] ) . "<Br/>";
		
		foreach ( $results ['statuses'] as $r ) {
			
			echo '<font color="red">START</font>';
			print_r ( $r );
			echo '<Br/><hr/><br/>';
		}
		exit ();
		
		$content .= $call ['message'] . ':' . json_decode ( trim ( $call ['result'] ) );
	}
	
	if (! $display_results) {
		?>
	        <div id="tabs">
			<ul>
				<li><a href="#tabs-settings"><?php _e('Add Profiles', 'digital-media-combined') ?></a></li>

				<li><a href="#tabs-profiles"><?php _e('Authorized Profiles', 'digital-media-combined') ?></a></li>
				<li><a href="#tabs-queue"><?php _e('Scheduled Posts', 'digital-media-combined') ?></a></li>
				
			</ul>

			<div id="tabs-settings">
				<form method="post" action="">
				 <?php $controls->init(); ?>
					<div>
						<i class="fa-2x" aria-hidden="true"><img
							src="<?php echo plugins_url('../images/FB-fLogo-Blue-broadcast-2.png', __FILE__) ?>"
							height="30px"></i> <?php $controls->button('saveandauthfb', 'Add a Facebook Page'); ?> <br />
						You will be redirected to Facebook to authorize Digital Media
						Combined (DMC) to manage and post to your Facebook profile and/or
						pages. <br /> Once you have authorized DMC, you will be redirected
						back to this page. <br />
					</div>
					<Br />
					<div>
						<i class="fa fa-twitter-square fa-2x" aria-hidden="true"></i> <?php $controls->button('saveandauthtt', 'Add a Twitter Profile'); ?></div>
					<br /> You will be redirected to Twitter to authorize Digital Media
					Combined (DMC) to manage and post to Twitter profile. <br /> Once
					you have authorized DMC, you will be redirected back to this page.
					<br /> <Br />
					<div>
						<i class="fa fa-instagram fa-2x" aria-hidden="true"></i> <?php $controls->button('addInstagram', 'Add an Instagram Profile'); ?></div>
					<br /> Add an Instagram account Profile.<br /> <Br /> <br /> <Br />



					<hr />
					Disclaimer: Digital Media Combined only provide services which
					integrate with the API provided by Social Media Service Providers.<br />
					We are not associated with the service providers in any way.
				</form>
			</div>

			<div id="tabs-profiles">
				<h3>Authorized Social Media Profiles</h3>
				<form method="post" action="">
	                <?php $controls->init(); ?>
					<table class="form-table">
						<tr valign="top">
							<td></td>
							<td><strong>Platform</strong></td>
							<td><strong>Profile</strong></td>

						</tr>
						 <?php
		
		foreach ( $dmc_option ['domain_oauth'] as $oauth ) {
			$platform = '';
			if ($oauth ['oauth_platform'] == 'twitter') {
				$platform = 'Twitter';
				$icon = '<i class="fa fa-twitter-square fa-2x" aria-hidden="true"></i>';
			} elseif ($oauth ['oauth_platform'] == 'facebook_page') {
				$platform = 'Facebook Page';
				$icon = '<img src="' . DMC_URL . '/images/FB-fLogo-Blue-broadcast-2.png" height="25px"></img>';
			} elseif ($oauth ['oauth_platform'] == 'facebook_profile') {
				$platform = 'Facebook Profile';
				$icon = '<i class="fa fa-instagram fa-2x" aria-hidden="true"></i>';
			} elseif ($oauth ['oauth_platform'] == 'instagram') {
				$platform = 'Instagram';
				$icon = '<i class="fa fa-instagram fa-2x" aria-hidden="true"></i>';
			} elseif ($oauth ['oauth_platform'] == 'google') {
				$platform = 'Google+';
				$icon = '<i class="fa fa-instagram fa-2x" aria-hidden="true"></i>';
			} elseif ($oauth ['oauth_platform'] == 'google_plus') {
				$platform = 'Google+ Profile';
				$icon = '<i class="fa fa-google-plus fa-2x" aria-hidden="true"></i>';
			} elseif ($oauth ['oauth_platform'] == 'google_plus_page') {
				$platform = 'Google+ Page';
				$icon = '<i class="fa fa-google-plus-square fa-2x" aria-hidden="true"></i>';
			} else {
				$icon = '';
			}
			
			?>
            			    <tr valign="top">
							<td><input type='checkbox' name='delete_profile[]'
								value='<?php echo $oauth['oauth_hash'];?>'></td>
							<td><?php echo $icon . ' ' . $platform;?></td>
							<td><?php echo $oauth['oauth_name'];?></td>
						</tr>
            			    <?php
		}
		?> 	
					</table>
					<Br />
					<?php $controls->button('deleteProfiles', 'Delete selected profiles'); ?>
					</form>
			</div>
			<div id="tabs-queue">
		<?php
		try {
			$call = $DMC->call ( 'schedules', array () );
			
			if ($call ['status'] == 'success') {
				if ($call ['num'] > 0) {
					
					$table = "<table width='70%' class='form-table' >\n";
					
					$table .= "<tr><td><td><strong>Schedule Time</strong></td><td><strong>Social Media</strong></td><td><strong>Content</strong></td></tr>\n";
					foreach ( $call ['queue_data'] as $q ) {
						$st = $q ['schedule_time'] + get_option ( 'gmt_offset' ) * 3600;
						
						$table .= "<tr><td><input type='checkbox' name='schedules[]' value='{$q['queue_time']}'></td>";
						$table .= "<td>" . date_i18n ( get_option ( 'date_format' ) . ' ' . get_option ( 'time_format' ), $st ) . "</td>
	    							<td>";
						foreach ( $q ['social'] as $s ) {
							$table .= "{$s['platform']} ({$s['account']})<br/>";
						}
						$table .= "</td>
	    							<td>{$q['message']}</td></tr>\n";
					}
					$table .= "</table><Br/>";
					?>
					<form method="post" action="">
					<?php
					$controls->init ();
					echo $table;
					
					$controls->button ( 'deleteSchedules', 'Delete selected schedule posts' );
					echo '</form>';
				} else {
					echo $call ['message'];
				}
			} else {
				echo $call ['message'];
			}
		} catch ( Exception $e ) {
			echo $e->getMessage ();
		}
		?>	
			
			
			</div>
		</div>
		    <?php
	} else {
		?>
		<table class="form-table">
			<Tr>
				<Td><?php echo __ ($content, DMC_SLUG);?></Td>
			</Tr>
		</table>
		<?php
	}
}
?>
</div>  
	    <?php include DMC_DIR . '/template-footer.php'; ?>
	    
	</div>

