<?php
if (!defined('ABSPATH')) exit;

@include_once DMC_INCLUDES_DIR . '/controls.php';

$controls = new NewsletterControls();

if ($controls->is_action('feed_enable')) {
    delete_option('newsletter_feed_demo_disable');
    $controls->messages = 'Feed by Mail demo panels enabled. On next page reload it will show up.';
}

if ($controls->is_action('feed_disable')) {
    update_option('newsletter_feed_demo_disable', 1);
    $controls->messages = 'Feed by Mail demo panel disabled. On next page reload it will disappear.';
}
?>

<div class="wrap" id="template-wrap">

    <?php $help_url = 'https://www.digitalmediacombined.com/plugins/newsletter'; ?>
    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">

        <h2><?php _e('Quick Startup', 'digital-media-combined') ?></h2>
        <p>
                We have tried to keep the operation of this plugin as simple as possible.  Here is a brief operational overview.
            </p>

    </div>

    <div id="template-body" class="template-body-lite">

        <?php $controls->show(); ?>

            <?php $controls->init(); ?>
            <h3>Sending Limits</h3>
            <ol>
                <li>You are limited to 5 social profiles.</li>
                <li>You can send up to 10 posts per hour.</li>   
                <li>At any time you can have up to 10 scheduled posts.</li>
                <li>Once you have reached your hourly post limit, all posts will be automatically scheduled if you still have schedule slots left.</li>    
            </ol>
            
            <h3>A few minutes to get the most out of DMC</h3>

            <ol>
                <li>
                    Add the <a href="admin.php?page=newsletter_subscription_profile"><strong>Website Form Code</strong></a> to your site to enable users to subscribe to your site.
                </li>

                <li>
                    <a href="admin.php?page=newsletter_subscription_options"><strong>Configuration page</strong></a> - Add / change the content in this section to reflect your website welcome messages and confirmation messages.
                </li>

                <li>
                   <a href="admin.php?page=newsletter_users_import"><strong>Import your Subscribers</strong></a>
                </li>

                <li>
                    <a href="admin.php?page=newsletter_main_main"><strong>Check the General Settings</strong></a> - change where required.
                </li>

                <li>
                    <a href="admin.php?page=newsletter_main_social"><strong>Social Media</strong></a> - Add social media ID's and Secret Keys.
                </li>

                <li>
                    <a href="admin.php?page=newsletter_main_smtp"><strong>SMTP Settings</strong></a> - Check the SMTP(Outgoing mail server) that you would like to use.
                </li>
            </ol>

            <h3>Create a Newsletter / Social Media Post</h3>

            <ol>
                <li>
                    <a href="admin.php?page=newsletter_emails_index"><strong>Create Newsletter</strong></a> - select Copy from previous newsletters that have been sent or Create a New Newsletter button
                </li>
                <li>
                    Modify content to suit your post and Save.
                </li>
                <li>
                    Click Save and Preview Button to Send newsletter
                </li>
            </ol>


            <h3>Support</h3>
            <p>
                There are few options to find or ask for support:
            </p>
            <ul>
                <li><a href="https://www.digitalmediacombined.com/" target="_blank">The DMC website</a> contains information and links to documentation and FAQ</li>
                <li><a href="https://www.digitalmediacombined.com/forum/" target="_blank">The DMC forum</a> where to find solutions or create new requests</li>
            </ul>




    </div>

    <?php include DMC_DIR . '/template-footer.php'; ?>

</div>
