<?php
if (!defined('ABSPATH')) exit;

@include_once DMC_INCLUDES_DIR . '/controls.php';
$controls = new NewsletterControls();
$module = NewsletterSubscription::instance();

if (!$controls->is_action()) {
    $controls->data = $module->get_options('profile');
} else {
    if ($controls->is_action('save')) {
        $module->merge_options($controls->data, 'profile');
        $controls->add_message_saved();
    }

    if ($controls->is_action('reset')) {
        // TODO: Move this inside the module
        @include DMC_DIR . '/subscription/languages/profile-en_US.php';
        @include DMC_DIR . '/subscription/languages/profile-' . WPLANG . '.php';
        update_option('newsletter_profile', array_merge(get_option('newsletter_profile', array()), $options));
        $controls->data = $module->get_options('profile');
    }
}

$status = array(0 => 'Disabled/Private use', 1 => 'Only on profile page', 2 => 'Even on subscription forms');
$rules = array(0 => 'Optional', 1 => 'Required');
?>

<div class="wrap" id="template-wrap">

    <?php $help_url = 'https://www.digitalmediacombined.com/faq'; ?>

    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">

        <h2><?php _e('Subscription Form Fields and Form Code', 'digital-media-combined') ?></h2>
        <p>
            Add this code to your website for subscribers to be added to your mailing list.
        </p>

    </div>

    <div id="template-body">  

        <form action="" method="post">
            <?php $controls->init(); ?>

            <div id="tabs">

<?/**
                <ul>
                    <li><a href="#tabs-2">Main profile fields</a></li>
                    <li><a href="#tabs-5">Form code</a></li>
                </ul>

                <div id="tabs-2">

                    <p>The main subscriber fields. Only the email field is, of course, mandatory.</p>

                    <table class="form-table">
                        <tr>
                            <th>Email</th>
                            <td>
                                <table class="newsletter-option-grid">
                                    <tr><th>Field label</th><td><?php $controls->text('email', 50); ?></td></tr>
                                    <tr><th>Error message</th><td><?php $controls->text('email_error', 50); ?></td></tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <th>Name or first name</th>
                            <td>
                                <table class="newsletter-option-grid">
                                    <tr><th>Field label</th><td><?php $controls->text('name', 50); ?></td></tr>
                                    <tr><th>When to show</th><td><?php $controls->select('name_status', $status); ?></td></tr>
                                    <tr><th>Rules</th><td><?php $controls->select('name_rules', $rules); ?></td></tr>
                                    <tr><th>Error message</th><td><?php $controls->text('name_error', 50); ?></td></tr>
                                </table>
                                <p class="description">
                                    If you want to collect only a generic "name", use only this field and not the
                                    last name field.
                                </p>
                            </td>
                        </tr>
                        <tr>
                            <th>Last name</th>
                            <td>
                                <table class="newsletter-option-grid">
                                    <tr><th>Field label</th><td><?php $controls->text('surname', 50); ?></td></tr>
                                    <tr><th>When to show</th><td><?php $controls->select('surname_status', $status); ?></td></tr>
                                    <tr><th>Rules</th><td><?php $controls->select('surname_rules', $rules); ?></td></tr>
                                    <tr><th>Error message</th><td><?php $controls->text('surname_error', 50); ?></td></tr>
                                </table>
                            </td>
                        </tr>


                        <tr>
                            <th>Button labels</th>
                            <td>
                                <table class="newsletter-option-grid">
                                    <tr><th>Subscribe button</th><td><?php $controls->text('subscribe'); ?></td></tr>
                                    <tr><th>Save button</th><td><?php $controls->text('save'); ?> (on profile page)</td></tr>
                                </table>
                                <p class="description">
                                    For "subscribe" insert an URL to an image (http://...) to use it as a graphical button.
                                </p>
                            </td>
                        </tr>

                        <tr>
                            <th>Privacy check box</th>
                            <td>
                                <table class="newsletter-option-grid">
                                    <tr><th>Enabled?</th><td><?php $controls->yesno('privacy_status'); ?></td></tr>
                                    <tr><th>Label</th><td><?php $controls->text('privacy', 50); ?></td></tr>
                                    <tr><th>Privacy URL</th><td><?php $controls->text('privacy_url', 50); ?></td></tr>
                                    <tr><th>Error message</th><td><?php $controls->text('privacy_error', 50); ?></td></tr>
                                </table>
                                <p class="description">
                                    The privacy acceptance checkbox (required in many Europen countries) force the subscriber to
                                    check it to procees. If an URL is specified the label is linket to that page.
                                </p>
                            </td>
                        </tr>

                    </table>
                </div>

**/?>

                <div id="tabs-5" style="padding: 0 20px;">

                   

                    <h3>Standard form code</h3>
                    <textarea readonly style="width: 100%; height: 500px; font-family: monospace"><?php echo htmlspecialchars(NewsletterSubscription::instance()->get_subscription_form()); ?></textarea>

                    <h3>Widget form code</h3>
                    <textarea readonly style="width: 100%; height: 500px; font-family: monospace"><?php echo htmlspecialchars(NewsletterSubscription::instance()->get_subscription_form()); ?></textarea>

                </div>

            </div>

<?/**
            <p>
                <?php $controls->button_save(); ?>
                <?php $controls->button_confirm('reset', 'Reset all', 'Are you sure you want to reset all?'); ?>
            </p>
**/?>

        </form>
    </div>

    <?php include DMC_DIR . '/template-footer.php'; ?>

</div>
