<?php
if (!defined('ABSPATH')) exit;

@include_once DMC_INCLUDES_DIR . '/controls.php';
$controls = new NewsletterControls();
$module = NewsletterSubscription::instance();
$defaults = $module->get_default_options();

if (!$controls->is_action()) {
    $controls->data = $module->get_options();
} else {
    if ($controls->is_action('save')) {
        $controls->data['unsubscription_text'] = NewsletterModule::clean_url_tags($controls->data['unsubscription_text']);
        $controls->data['unsubscribed_text'] = NewsletterModule::clean_url_tags($controls->data['unsubscribed_text']);
        $controls->data['unsubscribed_message'] = NewsletterModule::clean_url_tags($controls->data['unsubscribed_message']);

        if (empty($controls->data['unsubscription_text'])) {
            $controls->data['unsubscription_text'] = $defaults['unsubscription_text'];
        }
        if (empty($controls->data['unsubscribed_text'])) {
            $controls->data['unsubscribed_text'] = $defaults['unsubscribed_text'];
        }
        if (empty($controls->data['unsubscribed_message'])) {
            $controls->data['unsubscribed_message'] = $defaults['unsubscribed_message'];
        }
        if (empty($controls->data['unsubscribed_subject'])) {
            $controls->data['unsubscribed_subject'] = $defaults['unsubscribed_subject'];
        }
        if (empty($controls->data['unsubscription_error_text'])) {
            $controls->data['unsubscription_error_text'] = $defaults['unsubscription_error_text'];
        }

        $module->merge_options($controls->data);
        $controls->data = $module->get_options();
        $controls->add_message_saved();
    }

    if ($controls->is_action('reset')) {
        $controls->data['unsubscription_text'] = $defaults['unsubscription_text'];
        $controls->data['unsubscribed_text'] = $defaults['unsubscribed_text'];
        $controls->data['unsubscribed_subject'] = $defaults['unsubscribed_subject'];
        $controls->data['unsubscribed_message'] = $defaults['unsubscribed_message'];
        $controls->data['unsubscription_error_text'] = $defaults['unsubscription_error_text'];
        $module->merge_options($controls->data);
        $controls->data = $module->get_options();
    }
}
?>

<div class="wrap" id="template-wrap">

    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">

        <h2>Unsubscribe</h2>

        <p>
            Add <strong>{unsubscription_confirm_url}</strong> to the footer of your email template.<br />
            The goodbye message will be displayed if a user unsubscribes.
        </p>

    </div>

    <div id="template-body"> 

        <form method="post" action="">
            <?php $controls->init(); ?>

            <table class="form-table">
                <tr valign="top">
                    <th><?php _e('Goodbye message', 'digital-media-combined') ?></th>
                    <td>
                        <?php $controls->wp_editor('unsubscribed_text'); ?>
                        <p class="description">
                            Shown to users after the cancellation has been completed.
                        </p>
                    </td>
                </tr>

                <tr valign="top">
                    <th><?php _e('Goodbye email', 'digital-media-combined') ?></th>
                    <td>
                        <?php $controls->email('unsubscribed', 'wordpress', true); ?>
                        <p class="description">
                            Sent after a cancellation, this is the last message you send to the user for removal from your newsletter subscribers.
                        </p>
                    </td>
                </tr>
                <tr>
                    <th>Unsubscription error</th>
                    <td>
                        <?php $controls->wp_editor('unsubscription_error_text'); ?>
                        <p class="description">
                            When the unsubscription cannot be completed, for example because the subscriber has already been removed.
                        </p>
                    </td>
                </tr>                       
            </table>

            <p>
                <?php $controls->button_save() ?>
                <?php $controls->button_reset() ?>
            </p>
        </form>
    </div>

    <?php include DMC_DIR . '/template-footer.php'; ?>

</div>