<?php
global $current_user, $wpdb, $dmc;

if (!defined('ABSPATH')) exit;

$dismissed = get_option('newsletter_dismissed', array());

$user_count = $wpdb->get_var("select count(*) from " . DMC_USERS_TABLE . " where status='C'");

function newsletter_print_entries($group) {
    $entries = apply_filters('newsletter_menu_' . $group, array());
    if ($entries) {
        foreach ($entries as &$entry) {
            echo '<li><a href="';
            echo $entry['url'];
            echo '">';
            echo $entry['label'];
            if (isset($entry['description'])) {
                echo '<small>';
                echo $entry['description'];
                echo '</small>';
            }
            echo '</a></li>';
        }
    }
}

?>

<div id="template-header" class="nav-dmc">
    <a href="?page=newsletter_main_index"><img src="<?php echo plugins_url('/images/header/page-logo.png', __FILE__); ?>" class="template-header-logo"></a>

    <ul>
        <li><a href="?page=newsletter_main_index">Dashboard</a></li>
        <li><a href="?page=newsletter_emails_index">Create Post</a>
            <ul>
                <li><a href="?page=newsletter_emails_index">Create New Newsletter / Social Post</a></li>
		        <li><a href="?page=newsletter_main_index">Create Social Post</a></li>
		    </ul>    
        </li>
        <li><a href="?page=newsletter_main_social">Social Media Profiles</a></li>
        <li><a href="?page=newsletter_subscription_options">Newsletter Configuration</a>
		<ul>
				<li><a href="?page=newsletter_main_info">Company Info</a></li>
        		<li><a href="?page=newsletter_users_index">Edit / Search</a></li>
		        <li><a href="?page=newsletter_users_import">Import Subscribers</a></li>
        		<li><a href="?page=newsletter_users_export">Export Subscribers</a></li>
		        <li><a href="?page=newsletter_subscription_unsubscription">Unsubscribe</a></li>
		        <li><a href="?page=newsletter_subscription_profile">Website Form Code</a></li>
        		<li><a href="?page=newsletter_main_smtp">SMTP</a></li>
		        <li><a href="?page=newsletter_users_massive">Maintenance</a></li>
		        <li><a href="?page=newsletter_subscription_options">Configuration</a></li>
		        <li><a href="?page=newsletter_main_main">General Settings</a></li>
		        <li><a href="?page=newsletter_main_status">Status</a></li>
		</ul>
	</li>

        <li><a href="?page=newsletter_statistics_index">Statistics</a></li>
       
	
        <li><a href="?page=newsletter_main_startup">Quick Startup</a></li>
    </ul>    
 
</div>


<?php if (DMC_DEBUG || !isset($dismissed['rate']) && $user_count > 300) { ?>
    <div class="template-notice">
        <a href="<?php echo $_SERVER['REQUEST_URI'] . '&noheader=1&dismiss=rate' ?>" class="template-dismiss">&times;</a>

    </div>
<?php } ?>

<?php if (DMC_DEBUG || !isset($dismissed['newsletter-page']) && empty(NewsletterSubscription::instance()->options['page'])) { ?>
    <div class="template-notice">
        <a href="<?php echo $_SERVER['REQUEST_URI'] . '&noheader=1&dismiss=newsletter-page' ?>" class="template-dismiss">&times;</a>

        You should create a blog page to show the subscription form and the subscription messages. Go to the
        <a href="?page=newsletter_subscription_options">subscription panel</a> to configure it.

    </div>
<?php } ?>

<div id="template-notification">
    <?php DMC::instance()->warnings(); ?>
    <?php
    if (isset($controls)) {
        $controls->show();
        $controls->messages = '';
        $controls->errors = '';
    }
    ?>
</div>
