<?php
if (!defined('ABSPATH')) exit;

require_once DMC_INCLUDES_DIR . '/controls.php';
$controls = new NewsletterControls();
$module = NewsletterUsers::instance();

$options_profile = get_option('newsletter_profile');

if ($controls->is_action('import')) {

    $mode = $controls->data['mode'];

    // TODO: to be removed, it's not safe
    @set_time_limit(100000);

    $results = '';
    
    if (is_uploaded_file($_FILES['csv_file']['tmp_name'])) {
        $lines = file($_FILES['csv_file']['tmp_name']);
    } else {
        $csv = stripslashes($controls->data['csv']);
        $lines = explode("\n", $csv);
    }

    // Set the selected preferences inside the
    if (!is_array($controls->data['preferences']))
        $controls->data['preferences'] = array();

//    if ($options['followup'] == 'activate') {
//        $subscriber['followup'] = 1;
//    }

    $error_count = 0;
    $added_count = 0;
    $updated_count = 0;
    $skipped_count = 0;
    
    foreach ($lines as &$line) {
        // Parse the CSV line
        $line = trim($line);
        if ($line == '') {
            continue;
        }
        if ($line[0] == '#' || $line[0] == ';') {
            continue;
        }
        
        /**
        $separator = $controls->data['separator'];
        if ($separator == 'tab') {
            $separator = "\t";
        
        }**/
        
        $separator = ';';
        $data = explode($separator, $line);

        // Builds a subscriber data structure
        $email = $dmc->normalize_email($data[0]);
       
        if (!$dmc->is_email($email)) {
            $results .= '[INVALID EMAIL] ' . $line . "\n";
            $error_count++;
            continue;
        }

        $subscriber = NewsletterUsers::instance()->get_user($email, ARRAY_A);
        if ($subscriber == null) {
            $subscriber = array();
            $subscriber['email'] = $email;
            if (isset($data[1])) {
                $subscriber['name'] = $dmc->normalize_name($data[1]);
            }
            if (isset($data[2])) {
                $subscriber['surname'] = $dmc->normalize_name($data[2]);
            }
            $subscriber['status'] = 'C';
         
            NewsletterUsers::instance()->save_user($subscriber);
            $results .= '[ADDED] ' . $line . "\n";
            $added_count++;
        } else {
        	$mode = 'update';
            if ($mode == 'skip') {
                $results .= '[SKIPPED] ' . $line . "\n";
                $skipped_count++;
                continue;
            }
            
          

            if ($mode == 'update') {
                $subscriber['name'] = $dmc->normalize_name($data[1]);
                $subscriber['surname'] = $dmc->normalize_name($data[2]);
             
            }
            $subscriber['status'] = 'C';
            NewsletterUsers::instance()->save_user($subscriber);

            $results .= '[UPDATED] ' . $line . "\n";
            $updated_count++;
        }
    }
    if ($error_count) {
        $controls->errors = "Import completed but with errors.";
    }
    $controls->messages = "Import completed: $error_count errors, $added_count added, $updated_count updated, $skipped_count skipped.";
}
?>

<div class="wrap" id="template-wrap">
    
    <?php include DMC_DIR . '/template-header.php'; ?>

    <div id="template-heading">
    
        <h2><?php _e('Import Subscribers', 'digital-media-combined') ?></h2>
        <p>
            Import newsletter subscribers - please use the following format for your CSV file: email@address.com;firstname;lastname</p>
        
    </div>
    
    <div id="template-body">

    <?php if (!empty($results)) { ?>

        <h3>Results</h3>

        <textarea wrap="off" style="width: 100%; height: 150px; font-size: 11px; font-family: monospace"><?php echo htmlspecialchars($results) ?></textarea>

    <?php } ?>

        <form method="post" enctype="multipart/form-data">

        <?php $controls->init(); ?>

        <table class="form-table">

            <tr valign="top">
                <th>
                    <?php _e('CSV file', 'digital-media-combined') ?>
            <div class="template-tip">
                <span class="tip-content">
                    Upload CSV file.
                </span>
            </div>
            </th>
            <td>
                <input type="file" name="csv_file" />
            </td>
            </tr>
            <tr valign="top">
                <th>CSV text
            <div class="template-tip">
                <span class="tip-content">
                    Paste CSV contents here.
                </span>
            </div>
            </th>
            <td>
                <textarea name="options[csv]" wrap="off" style="width: 100%; height: 200px; font-size: 11px; font-family: monospace" placeholder="email@address.com;firstname;lastname"><?php echo $controls->data['csv']; ?></textarea>
            </td>
            </tr>
            <tr>
                <th>&nbsp;</th><td><?php $controls->button('import', 'Import'); ?></td>
            </tr>
            <tr>
                <th>
                    Please note
                </th>
                <td>
			<p> Split up your subscriber lists to 100 email addresses at a time to reduce server time outs </p>
                </td>
            </tr>
        </table>
            
    </form>

</div>
    
    <?php include DMC_DIR . '/template-footer.php'; ?>

</div>
